#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0xf60d2ee6, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x3d6d7223, "");
SYMBOL_CRC(__bcma_driver_register, 0xe5aed753, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x35355022, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0xc910b36b, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x701d77c9, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0xaa19edf4, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x6421397f, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x4e60ab1d, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0xe7f731de, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xdc1def4f, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x54bac94c, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x48d319e1, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xa02f937b, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0xa8670355, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x6309dfba, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xcf8cf0a9, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x18ab5f69, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0xd810c692, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x45dda260, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x3c1a6425, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x6b2121d2, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x334e57d0, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0xb25b0ed8, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0xb8ba1339, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0xc1c0e5fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x837347e6, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x3744f7f1, "dev_set_name" },
	{ 0xb32231f7, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3b8629a6, "device_unregister" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xa93ec28e, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x4fd79376, "device_initialize" },
	{ 0x7f0488c4, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x314f89d8, "get_device" },
	{ 0x83946866, "__dynamic_dev_dbg" },
	{ 0x33a2bacb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9be6bda4, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6a1ec99, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdd974401, "_dev_info" },
	{ 0x48b3c90a, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x89be8907, "bus_unregister" },
	{ 0xe3b4f053, "_dev_err" },
	{ 0x112beca3, "device_add" },
	{ 0x7b534e9f, "platform_device_unregister" },
	{ 0x213da488, "mutex_lock" },
	{ 0xfef7bc46, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x4a24c1d5, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0x6aecf665, "_dev_warn" },
	{ 0x6b634c2a, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0xcb93cf34, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x59e43a62, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4cc9f1fa, "platform_device_register_full" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0x26e4d90f, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x458ea109, "pci_disable_device" },
	{ 0x92e9d2b1, "pcie_set_readrq" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x5cd4de3b, "driver_register" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb1ac3160, "__dev_fwnode" },
	{ 0x660a4d8d, "pci_write_config_dword" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0xf4f46189, "bus_register" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.6");
