#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x20746f90, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x945218a5, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x76adda55, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xa1945dcf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xd909af4d, "__skb_checksum_complete" },
	{ 0x7ecf8929, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x590e79c0, "skb_copy_bits" },
	{ 0x8174fae6, "__nlmsg_put" },
	{ 0x2b2653dd, "netdev_adjacent_change_commit" },
	{ 0x9d7ec3e3, "eth_mac_addr" },
	{ 0x22649de7, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x31830261, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb1ebbb41, "ip6_dst_hoplimit" },
	{ 0x6c9761d8, "param_ops_ushort" },
	{ 0x11b0af9e, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x3f0acd0f, "nla_put_64bit" },
	{ 0xbe294ccf, "udp_sock_create4" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x8d00c4de, "udp_tunnel6_xmit_skb" },
	{ 0xeafe71f1, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xedc954b6, "__unregister_nexthop_notifier" },
	{ 0xd0da1239, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0x6e9f3885, "eth_validate_addr" },
	{ 0xbd4ced4f, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xaf2bde4, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb9ff31b2, "rtnl_create_link" },
	{ 0x926dc7b3, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x989f7ff, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x4df71836, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8348bdc, "udp_tunnel_drop_rx_port" },
	{ 0xbda7ff69, "pskb_expand_head" },
	{ 0x481247a8, "netdev_upper_dev_link" },
	{ 0xc3517fb9, "register_pernet_subsys" },
	{ 0x5acc97ae, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6001fdca, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x9d42f7bd, "__alloc_skb" },
	{ 0x5f1576d8, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x1c70c6a1, "eth_gro_complete" },
	{ 0xb3e9ca8e, "rtnl_set_sk_err" },
	{ 0xfd471360, "eth_gro_receive" },
	{ 0x7bf68498, "rtnl_configure_link" },
	{ 0x66707022, "skb_tunnel_check_pmtu" },
	{ 0xdf263110, "udp_tunnel_dst_lookup" },
	{ 0x2ef8716b, "rtnl_unicast" },
	{ 0x6926bf2e, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x7e1c5a2b, "__skb_get_hash_net" },
	{ 0xced636bf, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x27ce2453, "__dev_get_by_index" },
	{ 0x879e5fcd, "rtnl_link_unregister" },
	{ 0xdb95d571, "ipv6_stub" },
	{ 0x6bcaf24e, "skb_pull" },
	{ 0x85a56af3, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x546e95b7, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xab610b22, "dev_get_by_index_rcu" },
	{ 0x7f6c4d5e, "gro_cells_receive" },
	{ 0xb11deab4, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x3a8b05b6, "netdev_upper_dev_unlink" },
	{ 0x4efabdd8, "nla_put" },
	{ 0x313822e9, "free_netdev" },
	{ 0x364536c9, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x2db5b171, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcc0747bc, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3ff6600, "ethtool_op_get_link" },
	{ 0xb7294e63, "nexthop_find_by_id" },
	{ 0x520d018f, "arp_create" },
	{ 0x9f9a8361, "__ethtool_get_link_ksettings" },
	{ 0xc53ef037, "netdev_adjacent_change_prepare" },
	{ 0xc2dd8067, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xbdff52be, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x70dcdd3b, "rhashtable_free_and_destroy" },
	{ 0xc282d463, "rht_bucket_nested_insert" },
	{ 0x7b7603be, "netdev_adjacent_change_abort" },
	{ 0x8d5ded17, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x73615773, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6aec75b0, "__iptunnel_pull_header" },
	{ 0x422e6e57, "__pskb_pull_tail" },
	{ 0x3ea590c4, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x93465635, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xd7d40590, "rhashtable_destroy" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x38e26340, "setup_udp_tunnel_sock" },
	{ 0x5bec3128, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x44cc746b, "skb_trim" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x536bf7e5, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd28ffe9f, "skb_scrub_packet" },
	{ 0xe8f10176, "nexthop_select_path" },
	{ 0x32eb7597, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x87e74543, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe2fbe431, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x96b2577e, "param_ops_bool" },
	{ 0x7f9447c, "udp_tun_rx_dst" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x812e8452, "rtnl_notify" },
	{ 0x9289b9da, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4b45249c, "__netif_rx" },
	{ 0x62f1af1, "skb_clone" },
	{ 0xa7933b11, "metadata_dst_alloc" },
	{ 0x8937d8a6, "dst_release" },
	{ 0x1d42354e, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x78a8e693, "udp_tunnel_notify_del_rx_port" },
	{ 0x5b5834a7, "register_nexthop_notifier" },
	{ 0x1ed7b555, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xe9963be1, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe8ed19d3, "netdev_core_stats_inc" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0x545799a5, "netdev_info" },
	{ 0xa8e3c22d, "neigh_lookup" },
	{ 0xfa99526d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe4b68f3a, "register_netdevice" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2843CFAE04B8BC03483FF07");
MODULE_INFO(rhelversion, "9.6");
