#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0x3d0c9801, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0xc8773bfa, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0x81eae5b3, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x381969e0, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0xfe9ddd44, "_gpl");
SYMBOL_CRC(lockd_up, 0xe7405b71, "_gpl");
SYMBOL_CRC(lockd_down, 0x8eba822b, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0xd5a39da3, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x77e35ccc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5dfda9e3, "rpc_put_task" },
	{ 0x37c85cb7, "svc_generic_rpcbind_set" },
	{ 0x7d5b80f, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc353f1b2, "__init_rwsem" },
	{ 0x8f356283, "bpf_trace_run4" },
	{ 0xe2c0b15e, "param_ops_uint" },
	{ 0xcf23301e, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd611647c, "rpc_shutdown_client" },
	{ 0xc6bdcd1e, "svc_bind" },
	{ 0x4844aa39, "proc_create" },
	{ 0x879d8bc3, "svc_recv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3d6eeefe, "xdr_inline_decode" },
	{ 0x12efe827, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x7a16ada6, "finish_wait" },
	{ 0x7822b013, "trace_event_printf" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x359cba1e, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x22bb2a7b, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xee74ad4f, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x502bc178, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xbd72111, "svc_exit_thread" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0x66f6036b, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x92c1b742, "event_triggers_call" },
	{ 0x7c9861e, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x21212017, "param_get_ulong" },
	{ 0x3ce39562, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x35d6a5db, "__put_cred" },
	{ 0xc3517fb9, "register_pernet_subsys" },
	{ 0xab6ff863, "locks_in_grace" },
	{ 0x5564dd, "wake_up_process" },
	{ 0x8d2cb585, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57b95eeb, "proc_dobool" },
	{ 0x9e5d9d0d, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xb1d5d7dd, "unregister_sysctl_table" },
	{ 0xe839211c, "trace_event_ignore_this_pid" },
	{ 0xd4b1a889, "locks_release_private" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xef6cba43, "locks_init_lock" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x391faf1d, "simple_transaction_release" },
	{ 0x6bda218e, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2cc9eb5f, "svc_age_temp_xprts_now" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xbc5fa2e2, "perf_trace_run_bpf_submit" },
	{ 0x3120a98e, "down_write" },
	{ 0xb3a3c466, "init_net" },
	{ 0x923c4f07, "up_write" },
	{ 0xc5bf18b2, "svc_set_num_threads" },
	{ 0x120e78b5, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x213da488, "mutex_lock" },
	{ 0x4c432d5d, "vfs_cancel_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd420062, "proc_doulongvec_minmax" },
	{ 0x4aa83ffb, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x53445f68, "nlm_debug" },
	{ 0xdc9422c4, "freezing_slow_path" },
	{ 0x59c28e0b, "rpc_create" },
	{ 0x356a28f0, "svc_destroy" },
	{ 0x3cf05a2, "rpc_call_start" },
	{ 0x205c19cd, "svc_create" },
	{ 0x9fcd8021, "default_llseek" },
	{ 0x2ef768e4, "rpc_call_sync" },
	{ 0x21c3c84d, "proc_mkdir" },
	{ 0xbdff52be, "unregister_pernet_subsys" },
	{ 0x556602db, "vfs_lock_file" },
	{ 0x1493b1a7, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d105c0e, "__init_waitqueue_head" },
	{ 0x47bf782b, "svc_generic_init_request" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x4ba4112b, "down_read" },
	{ 0xb95ea9f8, "svc_set_client" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0xb759449d, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6b9e8c, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9f86d3b9, "rpc_force_rebind" },
	{ 0xfa7a259, "trace_event_buffer_reserve" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x96b2577e, "param_ops_bool" },
	{ 0xfdf949d1, "rpc_restart_call" },
	{ 0x8074c898, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xa52b85a1, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb395ca8f, "svc_find_xprt" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x4c505f11, "proc_dointvec" },
	{ 0x91399a02, "svc_print_addr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x36b7888b, "locks_delete_block" },
	{ 0x754d539c, "strlen" },
	{ 0x44df53d3, "locks_start_grace" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0xa9014669, "param_get_int" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb42ec49, "up_read" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0xf5ea5607, "svc_xprt_create" },
	{ 0xbaa59e4, "rpc_wait_for_completion_task" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0x9dca6e5, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x38e5152f, "proc_dointvec_minmax" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "3C2D9F040CFB69F6A64DCE9");
MODULE_INFO(rhelversion, "9.6");
