#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x660f9aba, "");
SYMBOL_CRC(bt_sock_register, 0xd9fb2195, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x23cf5c24, "");
SYMBOL_CRC(bt_sock_link, 0x33c3dded, "");
SYMBOL_CRC(bt_sock_unlink, 0xb8a9b93d, "");
SYMBOL_CRC(bt_sock_linked, 0xa4817b3c, "");
SYMBOL_CRC(bt_accept_enqueue, 0x839990b5, "");
SYMBOL_CRC(bt_accept_unlink, 0x68d6036e, "");
SYMBOL_CRC(bt_accept_dequeue, 0xe49c408e, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x4f6b64d9, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x1dc13723, "");
SYMBOL_CRC(bt_sock_poll, 0xff670d5d, "");
SYMBOL_CRC(bt_sock_ioctl, 0x8b541763, "");
SYMBOL_CRC(bt_sock_wait_state, 0x0d7b01db, "");
SYMBOL_CRC(bt_sock_wait_ready, 0xc5a1d707, "");
SYMBOL_CRC(bt_procfs_init, 0xba91c166, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x7e5b91d2, "");
SYMBOL_CRC(bt_debugfs, 0x28806bff, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x7209289b, "");
SYMBOL_CRC(hci_free_dev, 0xc0821d6a, "");
SYMBOL_CRC(hci_register_dev, 0xbef511c0, "");
SYMBOL_CRC(hci_unregister_dev, 0x17b76ef7, "");
SYMBOL_CRC(hci_release_dev, 0x6dca4651, "");
SYMBOL_CRC(hci_suspend_dev, 0xce985f62, "");
SYMBOL_CRC(hci_resume_dev, 0x4aa7ddb4, "");
SYMBOL_CRC(hci_reset_dev, 0x1942daed, "");
SYMBOL_CRC(hci_recv_frame, 0xb1b3df27, "");
SYMBOL_CRC(hci_recv_diag, 0x79d514b3, "");
SYMBOL_CRC(hci_set_hw_info, 0x41811593, "");
SYMBOL_CRC(hci_set_fw_info, 0xdc5154bf, "");
SYMBOL_CRC(hci_register_cb, 0x199e9003, "");
SYMBOL_CRC(hci_unregister_cb, 0x294be98c, "");
SYMBOL_CRC(__hci_cmd_send, 0x6c5aaed3, "");
SYMBOL_CRC(hci_get_route, 0xb5280f5b, "");
SYMBOL_CRC(hci_conn_security, 0x41d4276a, "");
SYMBOL_CRC(hci_conn_check_secure, 0x12fce6ca, "");
SYMBOL_CRC(hci_conn_switch_role, 0x3cabc864, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0xd9db1bcd, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0xafa8124b, "");
SYMBOL_CRC(l2cap_add_psm, 0x8f49b305, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x2c65141e, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x8e391651, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0xfeb3b018, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xe66fa518, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0xd2a1a300, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xf818ec07, "");
SYMBOL_CRC(l2cap_register_user, 0xe119d061, "");
SYMBOL_CRC(l2cap_unregister_user, 0x33bf577b, "");
SYMBOL_CRC(l2cap_conn_get, 0xa709e65b, "");
SYMBOL_CRC(l2cap_conn_put, 0x6c9f183a, "");
SYMBOL_CRC(l2cap_chan_send, 0xce7bde51, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0xf137d0e0, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0xfb32fe29, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x30ee62ad, "");
SYMBOL_CRC(__hci_cmd_sync, 0xfc6e8d99, "");
SYMBOL_CRC(hci_cmd_sync, 0x68e97b71, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x63aea8f4, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xdd59d296, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x8204335d, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x7f479ed8, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x77a46377, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0xaeab224c, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x671636c3, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xebbf3e77, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x8f5458c3, "");
SYMBOL_CRC(hci_cmd_sync_run, 0x37444a59, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x81e4e84f, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0xf617851b, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x33974ff5, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x399190c0, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x6192df0b, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0xdd1e24e8, "");
SYMBOL_CRC(hci_devcd_init, 0xf4730e19, "");
SYMBOL_CRC(hci_devcd_append, 0xaca6a3e2, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xb9d90497, "");
SYMBOL_CRC(hci_devcd_complete, 0x326d18ec, "");
SYMBOL_CRC(hci_devcd_abort, 0xc403220d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x1bf856b4, "skb_free_datagram" },
	{ 0x4327ee3f, "sock_queue_rcv_skb_reason" },
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0x926f3f23, "try_module_get" },
	{ 0x28b93a00, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xcf38b28e, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x8004ba65, "ida_destroy" },
	{ 0x5818b6a2, "idr_find" },
	{ 0xd2bab019, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x22649de7, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x3744f7f1, "dev_set_name" },
	{ 0xec73195c, "scm_detach_fds" },
	{ 0x18091fb4, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x3b8629a6, "device_unregister" },
	{ 0x26e461ea, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x35a0bfec, "debugfs_create_u16" },
	{ 0x7a16ada6, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xb0e0ac20, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xff6437f2, "add_wait_queue_exclusive" },
	{ 0x4fd79376, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0x3f77ff20, "seq_lseek" },
	{ 0xa3cab18, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf08de7ad, "sock_no_connect" },
	{ 0x66f6036b, "prepare_to_wait_event" },
	{ 0xa72d48d2, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x7c9861e, "__wake_up" },
	{ 0x895f3b66, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x314f89d8, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x4a928097, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x35d6a5db, "__put_cred" },
	{ 0x9b748e59, "put_cmsg" },
	{ 0x1d742a10, "skb_queue_purge_reason" },
	{ 0x78302630, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5b64dc4, "disable_delayed_work" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x923ba2e2, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x7f85a873, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5e86256a, "sock_register" },
	{ 0xf2fc4c3e, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xe6a1ec99, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x9d42f7bd, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb8c34fed, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xad27aed, "rt_write_unlock" },
	{ 0xbf087548, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda32ea39, "skb_queue_tail" },
	{ 0x8c699224, "module_put" },
	{ 0xfaf6b1f4, "__sock_recv_ts_and_drops" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x29671eb4, "idr_remove" },
	{ 0x9f5d72e9, "debugfs_attr_read" },
	{ 0x122b82f8, "__sock_recv_timestamp" },
	{ 0x8d2803c8, "sock_no_shutdown" },
	{ 0x2099519b, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x902d4486, "crypto_req_done" },
	{ 0xb3a3c466, "init_net" },
	{ 0xa851076b, "crypto_shash_setkey" },
	{ 0x1fa06d8a, "simple_open" },
	{ 0x6bcaf24e, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x112beca3, "device_add" },
	{ 0xcb62f037, "idr_alloc" },
	{ 0x41c53bb3, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb35415d3, "init_uts_ns" },
	{ 0x546e95b7, "sk_skb_reason_drop" },
	{ 0x1a02385e, "sk_free" },
	{ 0x44da4d4, "device_move" },
	{ 0x66bc2229, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x213da488, "mutex_lock" },
	{ 0xb11deab4, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x20c7eebb, "sock_no_listen" },
	{ 0xf444dbb, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x3aba8cef, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x3f2acbc2, "iov_iter_kvec" },
	{ 0x52690ea, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x251830f9, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xcc0747bc, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbe1cae4e, "dev_coredumpv" },
	{ 0x22ad9938, "skb_copy_datagram_iter" },
	{ 0x40343153, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x4567cb84, "sk_alloc" },
	{ 0xb1bde8c1, "device_del" },
	{ 0x903e57b1, "__sock_queue_rcv_skb" },
	{ 0x7bdefa11, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9fcd8021, "default_llseek" },
	{ 0xce27bd19, "__sock_recv_wifi_status" },
	{ 0x2ceef6d0, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x94617645, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x8f5bbe71, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x62e769f6, "sock_no_mmap" },
	{ 0x1d105c0e, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x422e6e57, "__pskb_pull_tail" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0xdf25103, "__scm_destroy" },
	{ 0x21c4987c, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x44cc746b, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x56cf32c1, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x69accb86, "seq_read" },
	{ 0x11e543f8, "rt_read_lock" },
	{ 0x1be26ee, "sock_i_ino" },
	{ 0x1c69aed5, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe969feee, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x96b2577e, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xfdbc0a0a, "skb_recv_datagram" },
	{ 0x30a17c0c, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd8c3205b, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa52b85a1, "remove_proc_entry" },
	{ 0x421f8d8f, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3acc5aed, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x43d5ab32, "skb_copy" },
	{ 0x62f1af1, "skb_clone" },
	{ 0xa2cf07a9, "rt_write_lock" },
	{ 0x7677bd17, "_copy_from_iter" },
	{ 0xf7536b9d, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xb3cf323b, "remove_wait_queue" },
	{ 0xb543dec3, "seq_puts" },
	{ 0x88e59778, "sock_gettstamp" },
	{ 0xf64817c1, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x380ed7d7, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x32768431, "disable_delayed_work_sync" },
	{ 0xdca99715, "from_kuid_munged" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xc619709b, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3e40a91e, "proc_create_seq_private" },
	{ 0x85cd76f0, "debugfs_create_u8" },
	{ 0x4192edb2, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xa5bbfc4b, "crypto_alloc_shash" },
	{ 0xfba4a60c, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf456ac9b, "fwnode_property_read_u8_array" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0xb81d9bdc, "put_pid" },
	{ 0x703dbe2c, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5b7d5bfc, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb1ac3160, "__dev_fwnode" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfa99526d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaad9edba, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "7FC17935133A8AA3F10AD0C");
MODULE_INFO(rhelversion, "9.6");
