#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xc9317edc, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x4e20e57a, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xc6ea70ad, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x595d1da0, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x61bcbb4c, "_gpl");
SYMBOL_CRC(br_forward, 0xaf2a32fa, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x6eb66396, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xcfd36e5c, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x38567858, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xa3ce0907, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x6232f905, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xff5d647a, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xce737bdd, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xc1e5f1d4, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x44bad4fc, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xab53dafd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82fe4ad8, "netdev_lower_get_next" },
	{ 0xb88ea591, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b17709b, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x590e79c0, "skb_copy_bits" },
	{ 0x8174fae6, "__nlmsg_put" },
	{ 0x478a8efb, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x866a8c7b, "ipv6_mc_check_mld" },
	{ 0x22649de7, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x31830261, "call_switchdev_notifiers" },
	{ 0xb8c159ce, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc0a7e941, "netdev_update_features" },
	{ 0x11b0af9e, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x3f0acd0f, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0xb2999c7e, "dev_uc_del" },
	{ 0xeafe71f1, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xa2e1c035, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc227747f, "switchdev_port_obj_act_is_deferred" },
	{ 0x2d7d48a, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xd65b72ed, "dev_set_promiscuity" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xbd4ced4f, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x926dc7b3, "unregister_netdevice_queue" },
	{ 0xf9e08475, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x79643d5b, "netdev_state_change" },
	{ 0x4a928097, "__pskb_copy_fclone" },
	{ 0xd5cb9a88, "__dev_get_by_name" },
	{ 0x4df71836, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe3524023, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc3517fb9, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x10cc88ea, "brioctl_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc1793396, "alloc_netdev_mqs" },
	{ 0x99924228, "passthru_features_check" },
	{ 0x6001fdca, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xac7255a8, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3b442a85, "__SCK__tp_func_br_mdb_full" },
	{ 0xe0a29e0f, "rtnl_af_register" },
	{ 0x4d3b9114, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x9d42f7bd, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x18b2bc57, "kmem_cache_alloc" },
	{ 0xb3e9ca8e, "rtnl_set_sk_err" },
	{ 0x2ef8716b, "rtnl_unicast" },
	{ 0x45366f6e, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9adc7ae4, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f21a594, "nla_reserve_64bit" },
	{ 0x95a65ea3, "__ip_mc_dec_group" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x27ce2453, "__dev_get_by_index" },
	{ 0x879e5fcd, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xf82743c2, "dev_get_port_parent_id" },
	{ 0xb3a3c466, "init_net" },
	{ 0xdb95d571, "ipv6_stub" },
	{ 0x482ddcbf, "inet_confirm_addr" },
	{ 0x6bcaf24e, "skb_pull" },
	{ 0x195a18a0, "sysfs_remove_link" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4f8a573d, "__SCK__tp_func_br_fdb_add" },
	{ 0x9d1bd6b4, "rtnl_af_unregister" },
	{ 0x546e95b7, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x9bc9c866, "arp_send" },
	{ 0xab610b22, "dev_get_by_index_rcu" },
	{ 0xec70567d, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xb11deab4, "skb_push" },
	{ 0x643e4d6, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xcbc975f9, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x3a8b05b6, "netdev_upper_dev_unlink" },
	{ 0xb87709c0, "netif_receive_skb" },
	{ 0x4efabdd8, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x346950a9, "llc_mac_hdr_init" },
	{ 0x313822e9, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xe1c44d4b, "__SCK__tp_func_fdb_delete" },
	{ 0x388f1ebf, "kobject_init_and_add" },
	{ 0xc4e2da6c, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa26af306, "ns_capable" },
	{ 0x7cca569, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3f229c9d, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3ff6600, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x9f9a8361, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x121c591a, "stp_proto_register" },
	{ 0x47ee11bd, "__tracepoint_br_fdb_update" },
	{ 0xffcac0bf, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xbdff52be, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xc282d463, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf197eb0e, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x422e6e57, "__pskb_pull_tail" },
	{ 0x3ea590c4, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x93465635, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xa5db4266, "ip_mc_check_igmp" },
	{ 0xaa1a33d, "__netdev_alloc_skb" },
	{ 0xd7d40590, "rhashtable_destroy" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0xb6ff6557, "switchdev_port_obj_del" },
	{ 0x2ca960d, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x8aabd584, "kobject_create_and_add" },
	{ 0x44cc746b, "skb_trim" },
	{ 0xfd4a4d1a, "nf_hook_slow" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x536bf7e5, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbc99306f, "__ip_mc_inc_group" },
	{ 0xc9e943e2, "netdev_walk_all_upper_dev_rcu" },
	{ 0x776f9bfd, "sysfs_remove_group" },
	{ 0x67ddee35, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x32eb7597, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x423e4c0b, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6bc1abf7, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe2fbe431, "neigh_destroy" },
	{ 0xa51f3337, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x603db6b2, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x7307b69d, "__SCK__tp_func_br_fdb_update" },
	{ 0x224ced84, "call_netdevice_notifiers" },
	{ 0x88138426, "is_skb_forwardable" },
	{ 0x8a2f019e, "dev_set_allmulti" },
	{ 0xb343e223, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdfeb47c, "netdev_master_upper_dev_get" },
	{ 0x7f5e3006, "ipv6_dev_mc_inc" },
	{ 0x812e8452, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8faa35c, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x62f1af1, "skb_clone" },
	{ 0xdd42f061, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x8937d8a6, "dst_release" },
	{ 0x40b8600f, "netif_carrier_on" },
	{ 0xe0a54495, "kobject_uevent" },
	{ 0x1d42354e, "arp_tbl" },
	{ 0x270bf11b, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xed8df896, "netdev_rx_handler_register" },
	{ 0x67c77b1d, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4b0bca0a, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x5ab7b1f, "dev_disable_lro" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x26dc4294, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa3c54d77, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xcd51b7e6, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xce62bdc, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x7febc7ae, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xa18b57f3, "skb_ext_add" },
	{ 0x9305fef7, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x65be0006, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0xa8e3c22d, "neigh_lookup" },
	{ 0x41d04ede, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x617e7ba4, "kobject_put" },
	{ 0xe4b68f3a, "register_netdevice" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "8D02A473C2554D11D701047");
MODULE_INFO(rhelversion, "9.6");
