#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x471fda06, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x97573a19, "_gpl");
SYMBOL_CRC(tls_get_record, 0xc2f7646e, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x78663c8c, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xd87cd706, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24dbc626, "sk_msg_free" },
	{ 0x606247a3, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb90ad7ae, "tcp_read_sock" },
	{ 0x8f356283, "bpf_trace_run4" },
	{ 0x590e79c0, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2829a617, "sk_page_frag_refill" },
	{ 0x22649de7, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x11b0af9e, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12efe827, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x25aebaa2, "sk_psock_msg_verdict" },
	{ 0x7e9cf942, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x7822b013, "trace_event_printf" },
	{ 0x1793339b, "iov_iter_get_pages2" },
	{ 0xc9ccb11b, "___pskb_trim" },
	{ 0x22bb2a7b, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa3cab18, "add_wait_queue" },
	{ 0xa7bf8c24, "clean_acked_data_enable" },
	{ 0x89bb836b, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd26ffc39, "crypto_alloc_aead" },
	{ 0x9f2d78e0, "__tracepoint_sk_data_ready" },
	{ 0xbd31205f, "crypto_aead_setauthsize" },
	{ 0x7b4d5d4c, "crypto_aead_decrypt" },
	{ 0x92c1b742, "event_triggers_call" },
	{ 0x7c9861e, "__wake_up" },
	{ 0xd155f5fc, "sk_stream_error" },
	{ 0x15896ca4, "sk_msg_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb898120b, "sk_msg_memcopy_from_iter" },
	{ 0xe7be4f95, "sk_error_report" },
	{ 0xc3517fb9, "register_pernet_subsys" },
	{ 0x9b748e59, "put_cmsg" },
	{ 0x978f5f6d, "__sk_flush_backlog" },
	{ 0x8d2cb585, "trace_event_buffer_commit" },
	{ 0x78302630, "crypto_destroy_tfm" },
	{ 0xb9054fc6, "do_tcp_sendpages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x6fe86835, "sk_psock_tls_strp_read" },
	{ 0x1059489b, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xe839211c, "trace_event_ignore_this_pid" },
	{ 0x9d42f7bd, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xad27aed, "rt_write_unlock" },
	{ 0x3b37447, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x49a4f756, "tcp_recv_skb" },
	{ 0x110e5643, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xbc5fa2e2, "perf_trace_run_bpf_submit" },
	{ 0x3120a98e, "down_write" },
	{ 0x902d4486, "crypto_req_done" },
	{ 0x923c4f07, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x85d98051, "crypto_aead_encrypt" },
	{ 0x546e95b7, "sk_skb_reason_drop" },
	{ 0xabc4dfc0, "__SCK__tp_func_sk_data_ready" },
	{ 0xd840925, "bpf_trace_run5" },
	{ 0x1a02385e, "sk_free" },
	{ 0xfe330e93, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x213da488, "mutex_lock" },
	{ 0x4a5f37af, "__sk_mem_reclaim" },
	{ 0x391dba67, "sk_stream_wait_memory" },
	{ 0x4efabdd8, "nla_put" },
	{ 0x4aa83ffb, "trace_event_reg" },
	{ 0x3f2acbc2, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4a729d7f, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcc0747bc, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3027b33f, "sk_msg_return_zero" },
	{ 0xde290b62, "mutex_lock_interruptible" },
	{ 0x22ad9938, "skb_copy_datagram_iter" },
	{ 0x39f7a6ef, "bpf_trace_run1" },
	{ 0x535fa74c, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xbdff52be, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x408d2cff, "sock_efree" },
	{ 0x6c863ae7, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x41bb3caa, "clean_acked_data_disable" },
	{ 0x1d105c0e, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x3ab792f0, "sk_msg_free_partial" },
	{ 0x4ba4112b, "down_read" },
	{ 0x44cc746b, "skb_trim" },
	{ 0x56660f0c, "mutex_trylock" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0xe16e3c9, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd19038fc, "tcp_register_ulp" },
	{ 0xd8bcc43b, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x7219b456, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4c9735a9, "skb_page_frag_refill" },
	{ 0xfa7a259, "trace_event_buffer_reserve" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xcbc2664, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xf55b6907, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3c818f27, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xa52b85a1, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3acc5aed, "seq_printf" },
	{ 0x6bbfb57b, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x62f1af1, "skb_clone" },
	{ 0x8937d8a6, "dst_release" },
	{ 0xa2cf07a9, "rt_write_lock" },
	{ 0x7677bd17, "_copy_from_iter" },
	{ 0x897d2f0e, "skb_copy_header" },
	{ 0xa808020e, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xb3cf323b, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x80924c58, "netdev_sk_get_lowest_dev" },
	{ 0x61bc3e18, "sk_msg_alloc" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x15f91921, "_copy_from_iter_nocache" },
	{ 0x1795b9f2, "tcp_rate_check_app_limited" },
	{ 0x333b0998, "tcp_poll" },
	{ 0xc619709b, "iov_iter_revert" },
	{ 0x90c28bc, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x36658748, "skb_to_sgvec" },
	{ 0xeb42ec49, "up_read" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0xa14c7aa8, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0x55af3ad2, "tcp_read_done" },
	{ 0xfa99526d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "067F3DCB7BB9F4023F2149C");
MODULE_INFO(rhelversion, "9.6");
