#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xe3c7e657, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xd0f813e7, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x75b4e8e7, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x80ff37e6, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xdfecc2bf, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x47417743, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xc95880a7, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x8d6d2f88, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x4b656a14, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xa8634e90, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x818ecd8c, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xf8594563, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x4b267f93, "_gpl");
SYMBOL_CRC(usbnet_open, 0x4c1ce63f, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x70364f6b, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xfe4244dc, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xbd6c2b04, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xad8ea059, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x253d7eaa, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x2180b25c, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xe92f04a1, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x8f982d89, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x369dc90f, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x04743ffc, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x7954e330, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x037b6f69, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x5c1f42c7, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x21c801b4, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x36b4776d, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x4604ea9d, "");
SYMBOL_CRC(usbnet_manage_power, 0x64d2caf2, "");
SYMBOL_CRC(usbnet_link_change, 0xb5478a64, "");
SYMBOL_CRC(usbnet_read_cmd, 0x09f92693, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0xc10163de, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x9c05e166, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x154cf4ce, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x96329d02, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc25b7ab2, "usb_set_interface" },
	{ 0xb37f3c2f, "usb_string" },
	{ 0x83946866, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x26d8ff9e, "skb_defer_rx_timestamp" },
	{ 0x93465635, "netif_rx" },
	{ 0x5acc97ae, "eth_type_trans" },
	{ 0xda32ea39, "skb_queue_tail" },
	{ 0x536bf7e5, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1d742a10, "skb_queue_purge_reason" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x89ec6649, "usb_get_urb" },
	{ 0x459245bd, "usb_unlink_urb" },
	{ 0x38a92407, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x26b7690f, "usb_submit_urb" },
	{ 0xe3524023, "netdev_err" },
	{ 0xf83a331f, "mii_ethtool_get_link_ksettings" },
	{ 0x6b6b4d, "mii_ethtool_set_link_ksettings" },
	{ 0xab1fd8ff, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x487954a7, "unregister_netdev" },
	{ 0x58bef4a0, "usb_scuttle_anchored_urbs" },
	{ 0x879a30ce, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x313822e9, "free_netdev" },
	{ 0x545799a5, "netdev_info" },
	{ 0x40b8600f, "netif_carrier_on" },
	{ 0xa8faa35c, "netif_carrier_off" },
	{ 0xb7332bc2, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb8d04abc, "usb_autopm_get_interface" },
	{ 0x95717e33, "usb_autopm_put_interface" },
	{ 0x80c849bd, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x213da488, "mutex_lock" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0x51c903b2, "mii_link_ok" },
	{ 0x3ff6600, "ethtool_op_get_link" },
	{ 0x2b9da7d8, "usb_autopm_put_interface_async" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xa3cab18, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb3cf323b, "remove_wait_queue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb40ada6, "netif_device_detach" },
	{ 0x20d98ee1, "netif_device_attach" },
	{ 0x26e461ea, "skb_dequeue" },
	{ 0xdfa3ae95, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1d105c0e, "__init_waitqueue_head" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0x2bdb71a7, "register_netdev" },
	{ 0x383a25fb, "pm_runtime_enable" },
	{ 0x13e414ba, "skb_clone_tx_timestamp" },
	{ 0x5598b440, "usb_autopm_get_interface_async" },
	{ 0x5d9d0859, "dev_kfree_skb_any_reason" },
	{ 0xa08f9e59, "skb_tstamp_tx" },
	{ 0x25b3b03e, "usb_anchor_urb" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xaa1a33d, "__netdev_alloc_skb" },
	{ 0x11b0af9e, "consume_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7c9861e, "__wake_up" },
	{ 0xfdd37695, "netif_tx_wake_queue" },
	{ 0x750e9495, "usb_get_from_anchor" },
	{ 0x7212c163, "usb_autopm_get_interface_no_resume" },
	{ 0x22649de7, "skb_put" },
	{ 0xb9a6b282, "usb_clear_halt" },
	{ 0x9d7ec3e3, "eth_mac_addr" },
	{ 0x6e9f3885, "eth_validate_addr" },
	{ 0x3ea590c4, "dev_get_tstats64" },
	{ 0xb65d21f2, "ethtool_op_get_ts_info" },
	{ 0xb40aab5b, "param_ops_int" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "D10E818D1D587F6CA0A230B");
MODULE_INFO(rhelversion, "9.6");
