#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x950e3e87, "");
SYMBOL_CRC(ntb_unregister_client, 0x9a108191, "");
SYMBOL_CRC(ntb_register_device, 0xf3460812, "");
SYMBOL_CRC(ntb_unregister_device, 0xa4cacef6, "");
SYMBOL_CRC(ntb_set_ctx, 0xcb1de8ca, "");
SYMBOL_CRC(ntb_clear_ctx, 0x5a1a0f54, "");
SYMBOL_CRC(ntb_link_event, 0x3dae060b, "");
SYMBOL_CRC(ntb_db_event, 0x1552d4bb, "");
SYMBOL_CRC(ntb_msg_event, 0x2718197d, "");
SYMBOL_CRC(ntb_default_port_number, 0x126cfa90, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x68db892c, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x2060aa4a, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x0997e829, "");
SYMBOL_CRC(ntb_msi_init, 0xb79c6628, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x13d31fea, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x80439f9e, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x1b7e4233, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xf6f57376, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x0a289b38, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0xfba7b567, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x34705e9a, "devm_request_threaded_irq" },
	{ 0x1e65fd84, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x3744f7f1, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x4912c217, "devm_iounmap" },
	{ 0x3b8629a6, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0xd2307710, "devres_destroy" },
	{ 0xa80b51e9, "msi_unlock_descs" },
	{ 0xced9707b, "devm_ioremap" },
	{ 0x314f89d8, "get_device" },
	{ 0xa28ffa7b, "msi_lock_descs" },
	{ 0x1f45e5f1, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6a1ec99, "put_device" },
	{ 0x26382c56, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x89be8907, "bus_unregister" },
	{ 0xc0c44722, "devm_kfree" },
	{ 0x364c769, "irq_get_irq_data" },
	{ 0x297504d6, "__devres_alloc_node" },
	{ 0xfef7bc46, "driver_unregister" },
	{ 0xb341ab23, "device_register" },
	{ 0x6aecf665, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2c3ab970, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc7d5dfc1, "msi_next_desc" },
	{ 0x5cd4de3b, "driver_register" },
	{ 0xf4f46189, "bus_register" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");
MODULE_INFO(rhelversion, "9.6");
