#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x2db31c09, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x2a6fee2d, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xe3001a28, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x3e31493d, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xef90d3b6, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xe1656727, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x5b47fc2e, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x1b0968b9, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xf336a428, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x6e631044, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x81fa326a, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x5af7eb29, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x67d24fa0, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xb3a3c466, "init_net" },
	{ 0xc1793396, "alloc_netdev_mqs" },
	{ 0x2bdb71a7, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x313822e9, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x879e5fcd, "rtnl_link_unregister" },
	{ 0xc3fb5bb, "ip6_local_out" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xaf2bde4, "gro_cells_init" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x422e6e57, "__pskb_pull_tail" },
	{ 0xe4b68f3a, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x79643d5b, "netdev_state_change" },
	{ 0xa26af306, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xee29fff1, "dst_cache_get" },
	{ 0x52a014ab, "ip6_route_output_flags" },
	{ 0x2c0cac25, "xfrm_lookup" },
	{ 0x1a58cc8c, "ipv4_mtu" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xd28ffe9f, "skb_scrub_packet" },
	{ 0x2817003b, "skb_realloc_headroom" },
	{ 0xceffc685, "skb_set_owner_w" },
	{ 0x11b0af9e, "consume_skb" },
	{ 0x58702530, "ipv6_push_frag_opts" },
	{ 0xb11deab4, "skb_push" },
	{ 0x6ea9f0ff, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x590e79c0, "skb_copy_bits" },
	{ 0xb1ebbb41, "ip6_dst_hoplimit" },
	{ 0x9adc7ae4, "ipv6_dev_get_saddr" },
	{ 0xe2fbe431, "neigh_destroy" },
	{ 0x3dafba1f, "make_kuid" },
	{ 0xc50f8ac8, "ip6_redirect" },
	{ 0xe6629e0b, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x989f7ff, "iptunnel_handle_offloads" },
	{ 0x302dcbaa, "icmpv6_ndo_send" },
	{ 0x8abdf171, "icmp_ndo_send" },
	{ 0x546e95b7, "sk_skb_reason_drop" },
	{ 0x62f1af1, "skb_clone" },
	{ 0x6bcaf24e, "skb_pull" },
	{ 0x6654f923, "__icmpv6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7f6c4d5e, "gro_cells_receive" },
	{ 0x5acc97ae, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x6aec75b0, "__iptunnel_pull_header" },
	{ 0xa7933b11, "metadata_dst_alloc" },
	{ 0xe502a54d, "__xfrm_policy_check" },
	{ 0xf5481c67, "ip_route_output_flow" },
	{ 0x334227ce, "ip_route_input_noref" },
	{ 0xf66372dd, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x3ea590c4, "dev_get_tstats64" },
	{ 0x96b2577e, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b7b7704, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa5cac4f, "ipv6_chk_addr_and_flags" },
	{ 0xab610b22, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x47226ee8, "register_pernet_device" },
	{ 0x4b82e2aa, "xfrm6_tunnel_register" },
	{ 0xeafe71f1, "rtnl_link_register" },
	{ 0x73a16cc8, "xfrm6_tunnel_deregister" },
	{ 0x398c43ef, "unregister_pernet_device" },
	{ 0x4efabdd8, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x926dc7b3, "unregister_netdevice_queue" },
	{ 0x6d3266d8, "rt6_lookup" },
	{ 0x8937d8a6, "dst_release" },
	{ 0x27ce2453, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "3DD7C01CB2A7CAF119C80A5");
MODULE_INFO(rhelversion, "9.6");
