#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x798849e6, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x8384c8d8, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x3144cb48, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xe60a3b10, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x10f38371, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xac0c1ea5, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x86b697b3, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x8ba3d8ba, "");
SYMBOL_CRC(ip_vs_conn_put, 0xda2739b5, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xbb7b038f, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xc1064629, "");
SYMBOL_CRC(register_ip_vs_app, 0x9d892f7e, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xb880d595, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xba2af620, "");
SYMBOL_CRC(ip_vs_proto_get, 0x639afb9a, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x61f41357, "");
SYMBOL_CRC(register_ip_vs_pe, 0xea06b87c, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xc9d87063, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x929e617a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x745a077f, "nf_ct_ext_add" },
	{ 0x1e9425d2, "nf_conntrack_find_get" },
	{ 0x926f3f23, "try_module_get" },
	{ 0xdc22a3a4, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7ecf8929, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x590e79c0, "skb_copy_bits" },
	{ 0x2c0cac25, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6d10b769, "proc_dointvec_jiffies" },
	{ 0x114731cb, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x11b0af9e, "consume_skb" },
	{ 0xc3fb5bb, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x6bb1a63, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf3a8a6aa, "nf_register_sockopt" },
	{ 0x3f0acd0f, "nla_put_64bit" },
	{ 0xa04ffe31, "nf_ct_netns_get" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x7a16ada6, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xb569c270, "kernel_bind" },
	{ 0x2d59085f, "genlmsg_put" },
	{ 0x764bbebc, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ffd9572, "ip6_route_me_harder" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x66f6036b, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x895f3b66, "__module_get" },
	{ 0xf5481c67, "ip_route_output_flow" },
	{ 0xf9e08475, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x989f7ff, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xd5cb9a88, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xd0d9cb50, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbda7ff69, "pskb_expand_head" },
	{ 0xc3517fb9, "register_pernet_subsys" },
	{ 0x5564dd, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x1fbc3b66, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2c5fafa, "nf_register_net_hooks" },
	{ 0x52a014ab, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x9d42f7bd, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x18b2bc57, "kmem_cache_alloc" },
	{ 0x72f5e85b, "ipv6_sock_mc_join" },
	{ 0x8c699224, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x9adc7ae4, "ipv6_dev_get_saddr" },
	{ 0x7e1c5a2b, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb3a3c466, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x546e95b7, "sk_skb_reason_drop" },
	{ 0x27abb89d, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xd1d363f7, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x163d5432, "nf_conntrack_alter_reply" },
	{ 0xdb2627da, "ip_route_me_harder" },
	{ 0x213da488, "mutex_lock" },
	{ 0xb11deab4, "skb_push" },
	{ 0x643e4d6, "kmem_cache_free" },
	{ 0x3aba8cef, "seq_putc" },
	{ 0x4efabdd8, "nla_put" },
	{ 0xd420062, "proc_doulongvec_minmax" },
	{ 0x2251f368, "nf_ct_expect_alloc" },
	{ 0x56de0f3b, "skb_ensure_writable" },
	{ 0x3f2acbc2, "iov_iter_kvec" },
	{ 0x364536c9, "ip_mc_join_group" },
	{ 0x2d9fc631, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa26af306, "ns_capable" },
	{ 0x5ce37fa1, "nf_unregister_net_hooks" },
	{ 0x7cca569, "inet_select_addr" },
	{ 0x398c43ef, "unregister_pernet_device" },
	{ 0xcc0747bc, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x649c10e9, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6da0aab, "kthread_stop" },
	{ 0x277bd728, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbdff52be, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6f7b69a0, "kernel_connect" },
	{ 0x70167af5, "skb_checksum" },
	{ 0xf5b67427, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6654f923, "__icmpv6_send" },
	{ 0x422e6e57, "__pskb_pull_tail" },
	{ 0x21ecdf67, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x44cc746b, "skb_trim" },
	{ 0xfd4a4d1a, "nf_hook_slow" },
	{ 0x56660f0c, "mutex_trylock" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6b9e8c, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xaab394b, "nf_ct_deliver_cached_events" },
	{ 0x2817003b, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf9101906, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf66372dd, "__icmp_send" },
	{ 0x1a58cc8c, "ipv4_mtu" },
	{ 0x999e8297, "vfree" },
	{ 0xceffc685, "skb_set_owner_w" },
	{ 0x78ceb1a6, "__skb_checksum" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x578ee206, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd7bf643, "init_user_ns" },
	{ 0x9402d12c, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa52b85a1, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3acc5aed, "seq_printf" },
	{ 0xb48d947e, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x6bbfb57b, "proc_create_net_single" },
	{ 0x4305a5df, "ipv4_update_pmtu" },
	{ 0xc6b5be2d, "nf_defrag_ipv6_enable" },
	{ 0x8937d8a6, "dst_release" },
	{ 0x715728c0, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4c505f11, "proc_dointvec" },
	{ 0xb543dec3, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x559656a2, "unregister_net_sysctl_table" },
	{ 0xd0b31178, "ip_local_out" },
	{ 0xd5e5649c, "genl_unregister_family" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x956adcda, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xb40aab5b, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x1f82f250, "genl_register_family" },
	{ 0xcf722822, "kernel_sendmsg" },
	{ 0xb85931bd, "nf_ct_netns_put" },
	{ 0x47226ee8, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x41d04ede, "kmem_cache_destroy" },
	{ 0xfa99526d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x38e5152f, "proc_dointvec_minmax" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "5EAFA4B39E8688083125DED");
MODULE_INFO(rhelversion, "9.6");
