#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x3c609783, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x1b863c86, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x4b545d01, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x9cd2eea5, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x41fc95a7, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x7c833f42, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x745a077f, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0x25b90134, "nsh_pop" },
	{ 0x1e9425d2, "nf_conntrack_find_get" },
	{ 0x997aa652, "nf_ct_set_timeout" },
	{ 0xe04d46a1, "dev_get_stats" },
	{ 0x368cb470, "__nla_put" },
	{ 0x926f3f23, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x29e6674a, "dev_fill_metadata_dst" },
	{ 0x8f356283, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x9fc9beb1, "nf_ct_handle_fragments" },
	{ 0x9d7ec3e3, "eth_mac_addr" },
	{ 0x22649de7, "skb_put" },
	{ 0x69bf9ff3, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x32631066, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x11b0af9e, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x46514f8e, "nf_ct_nat" },
	{ 0xf754e7f9, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x74f054c6, "skb_eth_pop" },
	{ 0x12efe827, "trace_raw_output_prep" },
	{ 0xa1003e1, "skb_gso_validate_mac_len" },
	{ 0x3f0acd0f, "nla_put_64bit" },
	{ 0x3f56abbf, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x91f91b14, "nf_ct_helper" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x9f7a5b95, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x7822b013, "trace_event_printf" },
	{ 0xb8365d5, "rtnl_delete_link" },
	{ 0xeafe71f1, "rtnl_link_register" },
	{ 0xbf2192b6, "nf_connlabels_put" },
	{ 0x2d59085f, "genlmsg_put" },
	{ 0xc9ccb11b, "___pskb_trim" },
	{ 0x22bb2a7b, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe6af729d, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xd65b72ed, "dev_set_promiscuity" },
	{ 0x5c64f8d8, "nf_ct_destroy_timeout" },
	{ 0xec50f257, "nf_ct_add_helper" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe08921e0, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x5c0df01c, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2c9c7805, "nf_ct_skb_network_trim" },
	{ 0x92c1b742, "event_triggers_call" },
	{ 0x926dc7b3, "unregister_netdevice_queue" },
	{ 0xf9e08475, "kmem_cache_create" },
	{ 0xfc952cbc, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0x4df71836, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x96ce85c0, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbda7ff69, "pskb_expand_head" },
	{ 0x3666c275, "skb_csum_hwoffload_help" },
	{ 0x8d2cb585, "trace_event_buffer_commit" },
	{ 0x7f2b7bc4, "nf_connlabels_replace" },
	{ 0x5acc97ae, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc1793396, "alloc_netdev_mqs" },
	{ 0x6001fdca, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x5ddef48e, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xac7255a8, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xe839211c, "trace_event_ignore_this_pid" },
	{ 0x1dd84d8a, "skb_eth_push" },
	{ 0x89491dd3, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x9d42f7bd, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x18b2bc57, "kmem_cache_alloc" },
	{ 0xf7375091, "skb_mpls_pop" },
	{ 0xf5559532, "skb_vlan_pop" },
	{ 0xf4c31d8c, "dst_init" },
	{ 0x8c699224, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x7e1c5a2b, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x879e5fcd, "rtnl_link_unregister" },
	{ 0xbc5fa2e2, "perf_trace_run_bpf_submit" },
	{ 0xb3a3c466, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xdb95d571, "ipv6_stub" },
	{ 0x2f0a65e2, "skb_mpls_update_lse" },
	{ 0x6bcaf24e, "skb_pull" },
	{ 0x99282441, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x546e95b7, "sk_skb_reason_drop" },
	{ 0x27abb89d, "netlink_unicast" },
	{ 0xd840925, "bpf_trace_run5" },
	{ 0xab610b22, "dev_get_by_index_rcu" },
	{ 0x213da488, "mutex_lock" },
	{ 0xb11deab4, "skb_push" },
	{ 0x643e4d6, "kmem_cache_free" },
	{ 0x3a8b05b6, "netdev_upper_dev_unlink" },
	{ 0x4efabdd8, "nla_put" },
	{ 0x4aa83ffb, "trace_event_reg" },
	{ 0x56de0f3b, "skb_ensure_writable" },
	{ 0x313822e9, "free_netdev" },
	{ 0xc4e2da6c, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x398c43ef, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3ff6600, "ethtool_op_get_link" },
	{ 0x277bd728, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xb755d6cd, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x422e6e57, "__pskb_pull_tail" },
	{ 0x21ecdf67, "nf_ct_delete" },
	{ 0x53ff1ba3, "nf_conncount_init" },
	{ 0xeea8c2bb, "skb_vlan_push" },
	{ 0x3ea590c4, "dev_get_tstats64" },
	{ 0x93465635, "netif_rx" },
	{ 0xaa1a33d, "__netdev_alloc_skb" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x2ca960d, "netdev_master_upper_dev_link" },
	{ 0x58439fac, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4ba4112b, "down_read" },
	{ 0x545f6a3f, "inet_proto_csum_replace16" },
	{ 0x44cc746b, "skb_trim" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd28ffe9f, "skb_scrub_packet" },
	{ 0xaab394b, "nf_ct_deliver_cached_events" },
	{ 0xf9101906, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x2e85c74f, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x6bc1abf7, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfa7a259, "trace_event_buffer_reserve" },
	{ 0x78ceb1a6, "__skb_checksum" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x821e9cfd, "inet_proto_csum_replace4" },
	{ 0x5d04535, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xdbab633f, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdfeb47c, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x6efe6176, "dev_get_by_name" },
	{ 0x62f1af1, "skb_clone" },
	{ 0xa7933b11, "metadata_dst_alloc" },
	{ 0x8937d8a6, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x882b77c7, "peernet2id_alloc" },
	{ 0xaa106e95, "nf_ct_get_tuplepr" },
	{ 0xed8df896, "netdev_rx_handler_register" },
	{ 0x475755f7, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xd5e5649c, "genl_unregister_family" },
	{ 0x5ab7b1f, "dev_disable_lro" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x5d9d0859, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1f82f250, "genl_register_family" },
	{ 0xbecabfe4, "nf_ct_tmpl_free" },
	{ 0x3083cea2, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1343ddec, "__skb_gso_segment" },
	{ 0xeb42ec49, "up_read" },
	{ 0xd0a6aa85, "skb_mpls_push" },
	{ 0x47226ee8, "register_pernet_device" },
	{ 0xbcf1bb8c, "nf_conntrack_in" },
	{ 0x5a7c05e, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0x6958e35, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x41d04ede, "kmem_cache_destroy" },
	{ 0x60e005e2, "__skb_vlan_pop" },
	{ 0xeba596b8, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe4b68f3a, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "AC0920AF4C02966DA61C801");
MODULE_INFO(rhelversion, "9.6");
